Subject: bug#23672: 25.0.94; unitialized package specific menus

From: Tino Calancha <[email-masked]>
Date: Thu, 2 Jun 2016 13:54:55 +0900 (JST)

On Wed, 1 Jun 2016, Paul Eggert wrote:

> Do you observe a similar problem with Emacs 24.5 when built in your GTK+ 
> 3.20.4 environment?
Yes i do.
I also observe same issue with older gtk+ version (see [+++] below).

> Is the problem related to which theme you select?
I keep the default theme.

[+++]
++ I have built emacs-24.5 on Debian 8.4 (which ships gtk+ 3.14)
    under several desktop environments.

++ I observe the problem with: gnome and cinnamon.
    (See the attached snapshots)

++ I tried following settings:

    * emacs-24.5
    * Debian 8.4 (jessie, latest stable)
    * gtk+: 3.14.5
    * desktop:
      I) kde: OK
      II) xfce: OK
      III) mate: OK
      IV) gnome: BAD
      V) cinnamon: BAD

In GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.14.5)
  of 2016-06-02 on debian
Windowing system distributor `The X.Org Foundation', version 11.0.11604000
System Description:	Debian GNU/Linux 8.4 (jessie)

Important settings:
   value of $LANG: en_US.UTF-8
   locale-coding-system: utf-8-unix

Major mode: Dired by name

Minor modes in effect:
   tooltip-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   line-number-mode: t
   transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Marking matching files...
0 matching files marked.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils dired time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 78189 4233)
  (symbols 48 17877 0)
  (miscs 40 43 138)
  (strings 32 10320 4126)
  (string-bytes 1 283717)
  (vectors 16 9282)
  (vector-slots 8 386790 15166)
  (floats 8 63 93)
  (intervals 56 279 19)
  (buffers 960 12)
  (heap 1024 52102 971))